% This function computes the joint relationship matrix C (see Jacobian.m)
% Should not be modified
% Copyright Sergey Levine, 2009
function C = ComputeRelation(jointOrder, numJoints, endJoints)

% Allocation relations matrix.
C = zeros(numJoints, length(endJoints));

% Initialize active joints stack.
active = [];

% Step over the joint order.
for i=1:length(jointOrder)
    % Get current joint.
    joint = jointOrder(i);
    % Pop stack if necessary.
    if joint == -1
        active(length(active)) = [];
        continue;
    end;
    % Add joint to stack.
    active(length(active)+1) = joint;
    % Test if this joint connects to an end effector.
    for j=1:length(endJoints)
        if endJoints(j) == joint
            % Populate column for joint j from the stack.
            for k=1:length(active)
                C(active(k),j) = 1;
            end;
        end;
    end;
end;
