% This function returns a 4x4 transformation matrix given joint parameters
% Axis should be 'x','y', 'z', or 'v' for vertical translation
% Should not be modified
% Copyright Sergey Levine, 2009
function R = Rotation(axis, parameter)

% Set identity
R = [1,0,0,0;0,1,0,0;0,0,1,0;0,0,0,1];

if axis == 'x'
    R(2,2) = cos(parameter);
    R(3,3) = cos(parameter);
    R(2,3) = sin(parameter);
    R(3,2) = -sin(parameter);
elseif axis == 'y'
    R(1,1) = cos(parameter);
    R(3,3) = cos(parameter);
    R(3,1) = sin(parameter);
    R(1,3) = -sin(parameter);
elseif axis == 'z'
    R(1,1) = cos(parameter);
    R(2,2) = cos(parameter);
    R(1,2) = sin(parameter);
    R(2,1) = -sin(parameter);
end;
