% Create the skeleton
[rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C] = HumanSkeleton();

% Set initial position
theta = InitialPoseHuman(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C);

% Play the animation
for i=1:100
    % Print frame number
    disp(['Computing frame ',num2str(i)]);
    
    % Compute foot angles.
    rfoot = i*0.2;
    lfoot = i*0.2+pi;
    % Create constraints
    t = [sin(rfoot)*0.05,0.15,0.56-abs(cos(rfoot))*0.05;
         sin(lfoot)*0.05,-0.15,0.56-abs(cos(lfoot))*0.05;
         cos(-lfoot)*0.3,0.1,max(0.0,sin(-lfoot)*0.3);
         cos(-rfoot)*0.3,-0.1,max(0.0,sin(-rfoot)*0.3)];
    t = t';

    % Compute IK
    theta = ComputeIK(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C, theta, t, 0);

    % Draw the skeleton
    jointTransforms = ComputeMatrices(initTransforms,jointAxes,theta);
    DrawSkeleton(rootHeight,jointOrder,jointTransforms,jointLengths,t);
end;
