% Create the skeleton
[rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C] = HumanSkeleton();

% Set initial position
theta = InitialPoseHuman(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C);

% Create constraints
t = [0,0.75,1.1;0,-0.15,0.5;sin(-pi*0.15)*0.8,-0.1,rootHeight-cos(-pi*0.15)*0.8;sin(pi*0.25)*0.8,-0.1,rootHeight-cos(pi*0.25)*0.8];
t = t';

% Compute IK
theta = ComputeIK(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C, theta, t, 1);

% Draw the skeleton
jointTransforms = ComputeMatrices(initTransforms,jointAxes,theta);
DrawSkeleton(rootHeight,jointOrder,jointTransforms,jointLengths,t);
