% Create the skeleton
[rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C] = HumanSkeleton();

% Set initial position
theta = InitialPoseHuman(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C);

% Create constraints
t = [0.15,0.3,0.8;0,-0.15,0.5;0.2,0.1,0.5;-0.1,-0.1,0];
t = t';

% Compute IK
theta = ComputeIK(rootHeight, jointOrder, initTransforms, jointLengths, jointAxes, endJoints, C, theta, t, 1);

% Draw the skeleton
jointTransforms = ComputeMatrices(initTransforms,jointAxes,theta);
DrawSkeleton(rootHeight,jointOrder,jointTransforms,jointLengths,t);
